Order and Inventory
Order and Inventory
  1. Orders
  • Orders
    • Create Order
      POST
    • Get Order Status
      POST
    • Get Order Fulfillment Detail
      POST
  • Inventory
    • Get Inventory
      POST
    • Get PIM Data
      POST
  • Schemas
    • Schemas
      • Item
      • Order
      • Order-Status-Parameters
      • Order-Fulfillment-Parameters
      • inline_response_200
      • inline_response_200_1
      • inline_response_200_2
      • InventoryPIM_images
      • InventoryPIM_prices
      • inline_response_200_3
      • inline_response_200_1_shipmentDetails_serialDetails
      • inline_response_200_1_shipmentDetails_lineDetails
      • inline_response_200_1_shipmentDetails_carton
      • inline_response_200_1_shipmentDetails
      • inline_response_200_1_shipNotice
  1. Orders

Get Order Status

POST
https://test.v1.vertexapi.com/Orders/orderstatus
The /orders/orderstatus endpoint provides real-time visibility into the current status of orders submitted through the Vertex API.
By passing your unique order reference or Vertex order ID, you can retrieve detailed tracking information including fulfillment status, shipment status, and timestamps for each key stage in the order lifecycle.
Tracking Number will populate under this endpoint if the order has shipped. Detailed fulfillment data is called from /orders/orderfulfillment
Status Codes: Order Picking, Order Packed, Pending Approval, Pending Fulfillment, Shipped, Contact Account Manager

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://auth.v1.vertexapi.com/oauth2/token
Refresh URL: https://auth.v1.vertexapi.com/oauth2/token
or
Body Params application/json

Examples

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://test.v1.vertexapi.com/Orders/orderstatus' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "order": "ORDER1234"
}'
Response Response Example
[
    {
        "vertexOrder": "SO196999",
        "customerOrder": "ORDER1234",
        "orderDate": "04/18/2025",
        "orderStatus": "Pending Fulfillment",
        "tracking": ""
    }
]
Modified at 2025-09-06 15:59:55
Previous
Create Order
Next
Get Order Fulfillment Detail
Built with